<?php
// $Id: ads.inc,v 1.1 2009/12/04 03:20:47 damienmckenna Exp $
/**
 * @file
 * C-Tools integration for Open AdStream.
 */

/**
 * Implementation of hook_ctools_content_types().
 */
function openadstream_ads_ctools_content_types() {
  return array(
    'title' => t('Open AdStream Ads'),
  );
}

/**
 * Return all content types available.
 */
function openadstream_ads_content_type_content_types($plugin) {
  $types = array();

	$ads = _openadstream_positions();

	foreach($ads as $ad) {
		$position = $ad['name'];
		$types[$position] = _openadstream_ads_content_type_content_type($position);
	}

  return $types;
}

function openadstream_ads_content_type_content_type($subtype, $plugin) {
	return _openadstream_ads_content_type_content_type($subtype);
}

/**
 * 
 */
function _openadstream_ads_content_type_content_type($position) {
	return array(
		'title' => $position,
		'description' => 'Ad Desc',
		'category' => 'Open AdStream Ads',		
	);
}

/**
 * Implementation of hook_ctools_content_type_render().
 */
function openadstream_ads_content_type_render($subtype, $conf, $panel_args, $contexts) {
	$GLOBALS['openadstream_positions'][] = $subtype;

	$content = _openadstream_block_js($subtype);

	$block = new StdClass;
  $block->content = $content;
  $block->title = '';
  $block->delta = $subtype;
	$block->css_class = 'oas-ad oas-' . strtolower($subtype);
	return $block;
}

/**
 * Implementation of hook_ctools_content_type_admin_title().
 */
function openadstream_ads_content_type_admin_title($subtype, $conf, $contexts) {
	return 'Open AdStream Ads: ' . $subtype;
}

/**
 * Implementation of hook_ctools_content_type_admin_info().
 */
function openadstream_ads_content_type_admin_info($subtype, $conf, $contexts) {
	$block = new StdClass;
	$block->title = t('Open AdStream Ad Block:');	
	$block->content = l('Settings may be modified', 'admin/settings/openadstream') . ' if needed';
	return $block;
}
